kind: Cluster
apiVersion: kind.x-k8s.io/v1alpha4
nodes:
- role: control-plane
  kubeadmConfigPatches:
  - |
    kind: InitConfiguration
    nodeRegistration:
      kubeletExtraArgs:
        node-labels: "ingress-ready=true"
  extraPortMappings:
  - containerPort: 80
    hostPort: ${ kind_port_external_http }
    protocol: TCP
  - containerPort: 443
    hostPort: ${ kind_port_external_https }
    protocol: TCP
  - containerPort: 22
    hostPort: ${ kind_port_external_ssh }